Bug 1314736 - RFE: Provide advanced search/filtering capabilities in Copr web UI
RFE: Provide advanced search/filtering capabilities in Copr web UI
Status: CLOSED CURRENTRELEASE
Product: Copr
Classification: Community
Component: frontend (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: clime
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-04 06:23 EST by Bohuslav "Slavek" Kabrda
Modified: 2016-05-05 09:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-05 09:06:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bohuslav "Slavek" Kabrda 2016-03-04 06:23:53 EST
It'd be great if Copr web UI provided advanced search/filtering capabilities. For example:
- I want to be able to filter repos based on having specific (set of) release(s) activated
- I want to be able to filter repos based on having a specific package built
- I want to be able to filter repos based on whether author filled in description/instructions
- I want to be able to filter repos based on age of last build

I'm sure there are other criteria, but these ones are most compelling to me. Thanks for considering adding this functionality. Even though I don't have time to send patches, I'll be more than glad to help with testing.
Comment 1 clime 2016-04-13 08:10:39 EDT
Please, see commit:
https://github.com/fedora-copr/copr/commit/7588cac8d98d8aff5fab1a00a76e7a07551c378b 

and pull request: 
https://github.com/bkabrda/flask-whooshee/pull/13

These change-sets enable user to enter search queries like: "docker fedora x86_64" with the search results being sorted properly (best-fits first). I will additionally change the placeholder in our search bar to reflect this when everything is ready.

This should roughly satisfy your first request:

- I want to be able to filter repos based on having specific (set of) release(s) activated

I have additionally commited https://github.com/fedora-copr/copr/commit/896f877089682edfdda21d2ecc8858b617356490 to satisfy your second request:

- I want to be able to filter repos based on having a specific package built

but there is an issue I was unable to solve so it is in a separate branch currently. 

Still, supposing the requests were sorted by their importance, I think that by satisfying just the first one, we should provide sufficient improvements for the time being (you can now search by release, release version, or even architecture and combine this together with a copr/user name if needed).

There is a possibility to complement this improved search with actual filters (e.g. chroot filter) placed on the search-results page but I see that as "too much luxury" at the moment and I would like to have a new/separate feature request created specifically for this if users really desire it.
Comment 2 Miroslav Suchý 2016-05-05 09:06:27 EDT
Package including this fix has been deployed on production instance of Copr.

Note You need to log in before you can comment on or make changes to this bug.